﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Diagrams.Core;
using Telerik.Windows.Controls.Diagrams;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Binary;
using System.IO;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.Data.PropertyGrid;

namespace MVVMTestWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private GraphSource gs;

        public MainWindow()
        {
            InitializeComponent();

            this.gs = new GraphSource();
            this.DataContext = this.gs;
        }

        private void OnAutoGeneratingPropertyDefinition(object sender, AutoGeneratingPropertyDefinitionEventArgs e)
        {
            if (e.PropertyDefinition.DisplayName == "Position")
            {
                e.PropertyDefinition.EditorTemplate = this.Resources["positionTemplate"] as DataTemplate;
            }
            else if (e.PropertyDefinition.DisplayName == "Content")
            {
                e.PropertyDefinition.EditorTemplate = this.Resources["myContentTemplate"] as DataTemplate;
            }
        }
    }
}
